Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.record
Class RecordTypes

    java.lang.Object
      org.apache.poi.hslf.record.RecordTypes

    public final class RecordTypes

extends java.lang.Object

List of all known record types in a PowerPoint document, and the classes that handle them. There are two categories of records:

- PowerPoint records: 0 <= info <= 10002 (will carry class info)
- Escher records: info >= 0xF000 (handled by DDF, so no class info)

  Author:
    Yegor Kozlov, Nick Burch

  Nested Class Summary
  `static class` | `RecordTypes.Type` Wrapper for the details of a PowerPoint or Escher record type.

  Field Summary
  `static RecordTypes.Type` | `AnimationInfo`
  `static RecordTypes.Type` | `AnimationInfoAtom`
  `static RecordTypes.Type` | `BaseTextPropAtom`
  `static RecordTypes.Type` | `BinaryTagData`
  `static RecordTypes.Type` | `BookmarkCollection`
  `static RecordTypes.Type` | `BookmarkEntityAtom`
  `static RecordTypes.Type` | `BookmarkSeedAtom`
  `static RecordTypes.Type` | `CharFormatAtom`
  `static RecordTypes.Type` | `ColorSchemeAtom`
  `static RecordTypes.Type` | `Comment2000`
  `static RecordTypes.Type` | `Comment2000Atom`
  `static RecordTypes.Type` | `Comment2000Summary`
  `static RecordTypes.Type` | `Comment2000SummaryAtom`
  `static RecordTypes.Type` | `CompositeMasterId`
  `static RecordTypes.Type` | `CString`
  `static RecordTypes.Type` | `CurrentUserAtom`
  `static RecordTypes.Type` | `DateTimeMCAtom`
  `static RecordTypes.Type` | `DefaultRulerAtom`
  `static RecordTypes.Type` | `DocRoutingSlip`
  `static RecordTypes.Type` | `Document`
  `static RecordTypes.Type` | `DocumentAtom`
  `static RecordTypes.Type` | `DocumentEncryptionAtom`
  `static RecordTypes.Type` | `EndDocument`
  `static RecordTypes.Type` | `Environment`
  `static int` | `EscherAlignRule`
  `static int` | `EscherAnchor`
  `static int` | `EscherArcRule`
  `static int` | `EscherBlip_END`
  `static int` | `EscherBlip_START`
  `static int` | `EscherBSE`
  `static int` | `EscherBStoreContainer`
  `static int` | `EscherCalloutRule`
  `static int` | `EscherChildAnchor`
  `static int` | `EscherClientAnchor`
  `static int` | `EscherClientData`
  `static int` | `EscherClientRule`
  `static int` | `EscherClientTextbox`
  `static int` | `EscherCLSID`
  `static int` | `EscherColorMRU`
  `static int` | `EscherColorScheme`
  `static int` | `EscherConnectorRule`
  `static int` | `EscherDeletedPspl`
  `static int` | `EscherDg`
  `static int` | `EscherDgContainer`
  `static int` | `EscherDgg`
  `static int` | `EscherDggContainer`
  `static int` | `EscherOleObject`
  `static int` | `EscherOPT`
  `static int` | `EscherRegroupItems`
  `static int` | `EscherSelection`
  `static int` | `EscherSolverContainer`
  `static int` | `EscherSp`
  `static int` | `EscherSpContainer`
  `static int` | `EscherSpgr`
  `static int` | `EscherSpgrContainer`
  `static int` | `EscherSplitMenuColors`
  `static int` | `EscherTextbox`
  `static int` | `EscherUserDefined`
  `static RecordTypes.Type` | `ExAviMovie`
  `static RecordTypes.Type` | `ExCDAudio`
  `static RecordTypes.Type` | `ExCDAudioAtom`
  `static RecordTypes.Type` | `ExControl`
  `static RecordTypes.Type` | `ExControlAtom`
  `static RecordTypes.Type` | `ExEmbed`
  `static RecordTypes.Type` | `ExEmbedAtom`
  `static RecordTypes.Type` | `ExHyperlink`
  `static RecordTypes.Type` | `ExHyperlinkAtom`
  `static RecordTypes.Type` | `ExLink`
  `static RecordTypes.Type` | `ExLinkAtom`
  `static RecordTypes.Type` | `ExMCIMovie`
  `static RecordTypes.Type` | `ExMediaAtom`
  `static RecordTypes.Type` | `ExMIDIAudio`
  `static RecordTypes.Type` | `ExObjList`
  `static RecordTypes.Type` | `ExObjListAtom`
  `static RecordTypes.Type` | `ExObjRefAtom`
  `static RecordTypes.Type` | `ExOleObjAtom`
  `static RecordTypes.Type` | `ExOleObjStg`
  `static RecordTypes.Type` | `ExQuickTimeMovie`
  `static RecordTypes.Type` | `ExQuickTimeMovieData`
  `static RecordTypes.Type` | `ExVideoContainer`
  `static RecordTypes.Type` | `ExWAVAudioEmbedded`
  `static RecordTypes.Type` | `ExWAVAudioEmbeddedAtom`
  `static RecordTypes.Type` | `ExWAVAudioLink`
  `static RecordTypes.Type` | `FontCollection`
  `static RecordTypes.Type` | `FontEmbeddedData`
  `static RecordTypes.Type` | `FontEntityAtom`
  `static RecordTypes.Type` | `FooterMCAtom`
  `static RecordTypes.Type` | `GenericDateMCAtom`
  `static RecordTypes.Type` | `GPopublicintAtom`
  `static RecordTypes.Type` | `GRatioAtom`
  `static RecordTypes.Type` | `GRColorAtom`
  `static RecordTypes.Type` | `GScalingAtom`
  `static RecordTypes.Type` | `GuideAtom`
  `static RecordTypes.Type` | `HandOut`
  `static RecordTypes.Type` | `HeadersFooters`
  `static RecordTypes.Type` | `HeadersFootersAtom`
  `static RecordTypes.Type` | `InteractiveInfo`
  `static RecordTypes.Type` | `InteractiveInfoAtom`
  `static RecordTypes.Type` | `List`
  `static RecordTypes.Type` | `MainMaster`
  `static RecordTypes.Type` | `MetaFile`
  `static RecordTypes.Type` | `NamedShow`
  `static RecordTypes.Type` | `NamedShows`
  `static RecordTypes.Type` | `NamedShowSlides`
  `static RecordTypes.Type` | `Notes`
  `static RecordTypes.Type` | `NotesAtom`
  `static RecordTypes.Type` | `OEPlaceholderAtom`
  `static RecordTypes.Type` | `OEShapeAtom`
  `static RecordTypes.Type` | `OriginalMainMasterId`
  `static RecordTypes.Type` | `OutlineTextRefAtom`
  `static RecordTypes.Type` | `OutlineViewInfo`
  `static RecordTypes.Type` | `ParaFormatAtom`
  `static RecordTypes.Type` | `PersistPtrFullBlock`
  `static RecordTypes.Type` | `PersistPtrIncrementalBlock`
  `static RecordTypes.Type` | `PPDrawing`
  `static RecordTypes.Type` | `PPDrawingGroup`
  `static RecordTypes.Type` | `ProgBinaryTag`
  `static RecordTypes.Type` | `ProgStringTag`
  `static RecordTypes.Type` | `ProgTags`
  `static RecordTypes.Type` | `PrpublicintOptions`
  `static RecordTypes.Type` | `RecolorInfoAtom`
  `static RecordTypes.Type` | `RoundTripContentMasterId`
  `static RecordTypes.Type` | `RoundTripContentMasterInfo12`
  `static RecordTypes.Type` | `RoundTripCustomTableStyles12`
  `static RecordTypes.Type` | `RoundTripHFPlaceholder12`
  `static RecordTypes.Type` | `RoundTripNotesMasterTextStyles12`
  `static RecordTypes.Type` | `RoundTripOArtTextStyles12`
  `static RecordTypes.Type` | `RoundTripShapeCheckSumForCustomLayouts12`
  `static RecordTypes.Type` | `RoundTripShapeId12`
  `static RecordTypes.Type` | `RTFDateTimeMCAtom`
  `static RecordTypes.Type` | `SheetProperties`
  `static RecordTypes.Type` | `Slide`
  `static RecordTypes.Type` | `SlideAtom`
  `static RecordTypes.Type` | `SlideListWithText`
  `static RecordTypes.Type` | `SlideNumberMCAtom`
  `static RecordTypes.Type` | `SlidePersistAtom`
  `static RecordTypes.Type` | `SlideViewInfo`
  `static RecordTypes.Type` | `SlideViewInfoAtom`
  `static RecordTypes.Type` | `SorterViewInfo`
  `static RecordTypes.Type` | `Sound`
  `static RecordTypes.Type` | `SoundCollAtom`
  `static RecordTypes.Type` | `SoundCollection`
  `static RecordTypes.Type` | `SoundData`
  `static RecordTypes.Type` | `SrKinsoku`
  `static RecordTypes.Type` | `SrKinsokuAtom`
  `static RecordTypes.Type` | `SSDocInfoAtom`
  `static RecordTypes.Type` | `SSlideLayoutAtom`
  `static RecordTypes.Type` | `SSSlideInfoAtom`
  `static RecordTypes.Type` | `StyleTextPropAtom`
  `static RecordTypes.Type` | `Summary`
  `static RecordTypes.Type` | `TextBookmarkAtom`
  `static RecordTypes.Type` | `TextBytesAtom`
  `static RecordTypes.Type` | `TextCharsAtom`
  `static RecordTypes.Type` | `TextHeaderAtom`
  `static RecordTypes.Type` | `TextRulerAtom`
  `static RecordTypes.Type` | `TextSpecInfoAtom`
  `static RecordTypes.Type` | `TxCFStyleAtom`
  `static RecordTypes.Type` | `TxInteractiveInfoAtom`
  `static RecordTypes.Type` | `TxMasterStyleAtom`
  `static RecordTypes.Type` | `TxPFStyleAtom`
  `static RecordTypes.Type` | `TxSIStyleAtom`
  `static java.util.HashMap` | `typeToClass`
  `static java.util.HashMap` | `typeToName`
  `static RecordTypes.Type` | `Unknown`
  `static RecordTypes.Type` | `UserEditAtom`
  `static RecordTypes.Type` | `VBAInfo`
  `static RecordTypes.Type` | `VBAInfoAtom`
  `static RecordTypes.Type` | `ViewInfo`
  `static RecordTypes.Type` | `ViewInfoAtom`

  Constructor Summary
  `RecordTypes()`

  Method Summary
  `static java.lang.Class` | `recordHandlingClass(int type)` Returns the class handling a record by its type.
  `static java.lang.String` | `recordName(int type)` Returns name of the record by its type

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### typeToName

      public static java.util.HashMap typeToName

  ### typeToClass

      public static java.util.HashMap typeToClass

  ### Unknown

      public static final RecordTypes.Type Unknown

  ### Document

      public static final RecordTypes.Type Document

  ### DocumentAtom

      public static final RecordTypes.Type DocumentAtom

  ### EndDocument

      public static final RecordTypes.Type EndDocument

  ### Slide

      public static final RecordTypes.Type Slide

  ### SlideAtom

      public static final RecordTypes.Type SlideAtom

  ### Notes

      public static final RecordTypes.Type Notes

  ### NotesAtom

      public static final RecordTypes.Type NotesAtom

  ### Environment

      public static final RecordTypes.Type Environment

  ### SlidePersistAtom

      public static final RecordTypes.Type SlidePersistAtom

  ### SSlideLayoutAtom

      public static final RecordTypes.Type SSlideLayoutAtom

  ### MainMaster

      public static final RecordTypes.Type MainMaster

  ### SSSlideInfoAtom

      public static final RecordTypes.Type SSSlideInfoAtom

  ### SlideViewInfo

      public static final RecordTypes.Type SlideViewInfo

  ### GuideAtom

      public static final RecordTypes.Type GuideAtom

  ### ViewInfo

      public static final RecordTypes.Type ViewInfo

  ### ViewInfoAtom

      public static final RecordTypes.Type ViewInfoAtom

  ### SlideViewInfoAtom

      public static final RecordTypes.Type SlideViewInfoAtom

  ### VBAInfo

      public static final RecordTypes.Type VBAInfo

  ### VBAInfoAtom

      public static final RecordTypes.Type VBAInfoAtom

  ### SSDocInfoAtom

      public static final RecordTypes.Type SSDocInfoAtom

  ### Summary

      public static final RecordTypes.Type Summary

  ### DocRoutingSlip

      public static final RecordTypes.Type DocRoutingSlip

  ### OutlineViewInfo

      public static final RecordTypes.Type OutlineViewInfo

  ### SorterViewInfo

      public static final RecordTypes.Type SorterViewInfo

  ### ExObjList

      public static final RecordTypes.Type ExObjList

  ### ExObjListAtom

      public static final RecordTypes.Type ExObjListAtom

  ### PPDrawingGroup

      public static final RecordTypes.Type PPDrawingGroup

  ### PPDrawing

      public static final RecordTypes.Type PPDrawing

  ### NamedShows

      public static final RecordTypes.Type NamedShows

  ### NamedShow

      public static final RecordTypes.Type NamedShow

  ### NamedShowSlides

      public static final RecordTypes.Type NamedShowSlides

  ### SheetProperties

      public static final RecordTypes.Type SheetProperties

  ### List

      public static final RecordTypes.Type List

  ### FontCollection

      public static final RecordTypes.Type FontCollection

  ### BookmarkCollection

      public static final RecordTypes.Type BookmarkCollection

  ### SoundCollection

      public static final RecordTypes.Type SoundCollection

  ### SoundCollAtom

      public static final RecordTypes.Type SoundCollAtom

  ### Sound

      public static final RecordTypes.Type Sound

  ### SoundData

      public static final RecordTypes.Type SoundData

  ### BookmarkSeedAtom

      public static final RecordTypes.Type BookmarkSeedAtom

  ### ColorSchemeAtom

      public static final RecordTypes.Type ColorSchemeAtom

  ### ExObjRefAtom

      public static final RecordTypes.Type ExObjRefAtom

  ### OEShapeAtom

      public static final RecordTypes.Type OEShapeAtom

  ### OEPlaceholderAtom

      public static final RecordTypes.Type OEPlaceholderAtom

  ### GPopublicintAtom

      public static final RecordTypes.Type GPopublicintAtom

  ### GRatioAtom

      public static final RecordTypes.Type GRatioAtom

  ### OutlineTextRefAtom

      public static final RecordTypes.Type OutlineTextRefAtom

  ### TextHeaderAtom

      public static final RecordTypes.Type TextHeaderAtom

  ### TextCharsAtom

      public static final RecordTypes.Type TextCharsAtom

  ### StyleTextPropAtom

      public static final RecordTypes.Type StyleTextPropAtom

  ### BaseTextPropAtom

      public static final RecordTypes.Type BaseTextPropAtom

  ### TxMasterStyleAtom

      public static final RecordTypes.Type TxMasterStyleAtom

  ### TxCFStyleAtom

      public static final RecordTypes.Type TxCFStyleAtom

  ### TxPFStyleAtom

      public static final RecordTypes.Type TxPFStyleAtom

  ### TextRulerAtom

      public static final RecordTypes.Type TextRulerAtom

  ### TextBookmarkAtom

      public static final RecordTypes.Type TextBookmarkAtom

  ### TextBytesAtom

      public static final RecordTypes.Type TextBytesAtom

  ### TxSIStyleAtom

      public static final RecordTypes.Type TxSIStyleAtom

  ### TextSpecInfoAtom

      public static final RecordTypes.Type TextSpecInfoAtom

  ### DefaultRulerAtom

      public static final RecordTypes.Type DefaultRulerAtom

  ### FontEntityAtom

      public static final RecordTypes.Type FontEntityAtom

  ### FontEmbeddedData

      public static final RecordTypes.Type FontEmbeddedData

  ### CString

      public static final RecordTypes.Type CString

  ### MetaFile

      public static final RecordTypes.Type MetaFile

  ### ExOleObjAtom

      public static final RecordTypes.Type ExOleObjAtom

  ### SrKinsoku

      public static final RecordTypes.Type SrKinsoku

  ### HandOut

      public static final RecordTypes.Type HandOut

  ### ExEmbed

      public static final RecordTypes.Type ExEmbed

  ### ExEmbedAtom

      public static final RecordTypes.Type ExEmbedAtom

  ### ExLink

      public static final RecordTypes.Type ExLink

  ### BookmarkEntityAtom

      public static final RecordTypes.Type BookmarkEntityAtom

  ### ExLinkAtom

      public static final RecordTypes.Type ExLinkAtom

  ### SrKinsokuAtom

      public static final RecordTypes.Type SrKinsokuAtom

  ### ExHyperlinkAtom

      public static final RecordTypes.Type ExHyperlinkAtom

  ### ExHyperlink

      public static final RecordTypes.Type ExHyperlink

  ### SlideNumberMCAtom

      public static final RecordTypes.Type SlideNumberMCAtom

  ### HeadersFooters

      public static final RecordTypes.Type HeadersFooters

  ### HeadersFootersAtom

      public static final RecordTypes.Type HeadersFootersAtom

  ### TxInteractiveInfoAtom

      public static final RecordTypes.Type TxInteractiveInfoAtom

  ### CharFormatAtom

      public static final RecordTypes.Type CharFormatAtom

  ### ParaFormatAtom

      public static final RecordTypes.Type ParaFormatAtom

  ### RecolorInfoAtom

      public static final RecordTypes.Type RecolorInfoAtom

  ### ExQuickTimeMovie

      public static final RecordTypes.Type ExQuickTimeMovie

  ### ExQuickTimeMovieData

      public static final RecordTypes.Type ExQuickTimeMovieData

  ### ExControl

      public static final RecordTypes.Type ExControl

  ### SlideListWithText

      public static final RecordTypes.Type SlideListWithText

  ### InteractiveInfo

      public static final RecordTypes.Type InteractiveInfo

  ### InteractiveInfoAtom

      public static final RecordTypes.Type InteractiveInfoAtom

  ### UserEditAtom

      public static final RecordTypes.Type UserEditAtom

  ### CurrentUserAtom

      public static final RecordTypes.Type CurrentUserAtom

  ### DateTimeMCAtom

      public static final RecordTypes.Type DateTimeMCAtom

  ### GenericDateMCAtom

      public static final RecordTypes.Type GenericDateMCAtom

  ### FooterMCAtom

      public static final RecordTypes.Type FooterMCAtom

  ### ExControlAtom

      public static final RecordTypes.Type ExControlAtom

  ### ExMediaAtom

      public static final RecordTypes.Type ExMediaAtom

  ### ExVideoContainer

      public static final RecordTypes.Type ExVideoContainer

  ### ExAviMovie

      public static final RecordTypes.Type ExAviMovie

  ### ExMCIMovie

      public static final RecordTypes.Type ExMCIMovie

  ### ExMIDIAudio

      public static final RecordTypes.Type ExMIDIAudio

  ### ExCDAudio

      public static final RecordTypes.Type ExCDAudio

  ### ExWAVAudioEmbedded

      public static final RecordTypes.Type ExWAVAudioEmbedded

  ### ExWAVAudioLink

      public static final RecordTypes.Type ExWAVAudioLink

  ### ExOleObjStg

      public static final RecordTypes.Type ExOleObjStg

  ### ExCDAudioAtom

      public static final RecordTypes.Type ExCDAudioAtom

  ### ExWAVAudioEmbeddedAtom

      public static final RecordTypes.Type ExWAVAudioEmbeddedAtom

  ### AnimationInfo

      public static final RecordTypes.Type AnimationInfo

  ### AnimationInfoAtom

      public static final RecordTypes.Type AnimationInfoAtom

  ### RTFDateTimeMCAtom

      public static final RecordTypes.Type RTFDateTimeMCAtom

  ### ProgTags

      public static final RecordTypes.Type ProgTags

  ### ProgStringTag

      public static final RecordTypes.Type ProgStringTag

  ### ProgBinaryTag

      public static final RecordTypes.Type ProgBinaryTag

  ### BinaryTagData

      public static final RecordTypes.Type BinaryTagData

  ### PrpublicintOptions

      public static final RecordTypes.Type PrpublicintOptions

  ### PersistPtrFullBlock

      public static final RecordTypes.Type PersistPtrFullBlock

  ### PersistPtrIncrementalBlock

      public static final RecordTypes.Type PersistPtrIncrementalBlock

  ### GScalingAtom

      public static final RecordTypes.Type GScalingAtom

  ### GRColorAtom

      public static final RecordTypes.Type GRColorAtom

  ### Comment2000

      public static final RecordTypes.Type Comment2000

  ### Comment2000Atom

      public static final RecordTypes.Type Comment2000Atom

  ### Comment2000Summary

      public static final RecordTypes.Type Comment2000Summary

  ### Comment2000SummaryAtom

      public static final RecordTypes.Type Comment2000SummaryAtom

  ### DocumentEncryptionAtom

      public static final RecordTypes.Type DocumentEncryptionAtom

  ### OriginalMainMasterId

      public static final RecordTypes.Type OriginalMainMasterId

  ### CompositeMasterId

      public static final RecordTypes.Type CompositeMasterId

  ### RoundTripContentMasterInfo12

      public static final RecordTypes.Type RoundTripContentMasterInfo12

  ### RoundTripShapeId12

      public static final RecordTypes.Type RoundTripShapeId12

  ### RoundTripHFPlaceholder12

      public static final RecordTypes.Type RoundTripHFPlaceholder12

  ### RoundTripContentMasterId

      public static final RecordTypes.Type RoundTripContentMasterId

  ### RoundTripOArtTextStyles12

      public static final RecordTypes.Type RoundTripOArtTextStyles12

  ### RoundTripShapeCheckSumForCustomLayouts12

      public static final RecordTypes.Type RoundTripShapeCheckSumForCustomLayouts12

  ### RoundTripNotesMasterTextStyles12

      public static final RecordTypes.Type RoundTripNotesMasterTextStyles12

  ### RoundTripCustomTableStyles12

      public static final RecordTypes.Type RoundTripCustomTableStyles12

  ### EscherDggContainer

      public static final int EscherDggContainer

  See Also:
    Constant Field Values

  ### EscherDgg

      public static final int EscherDgg

  See Also:
    Constant Field Values

  ### EscherCLSID

      public static final int EscherCLSID

  See Also:
    Constant Field Values

  ### EscherOPT

      public static final int EscherOPT

  See Also:
    Constant Field Values

  ### EscherBStoreContainer

      public static final int EscherBStoreContainer

  See Also:
    Constant Field Values

  ### EscherBSE

      public static final int EscherBSE

  See Also:
    Constant Field Values

  ### EscherBlip_START

      public static final int EscherBlip_START

  See Also:
    Constant Field Values

  ### EscherBlip_END

      public static final int EscherBlip_END

  See Also:
    Constant Field Values

  ### EscherDgContainer

      public static final int EscherDgContainer

  See Also:
    Constant Field Values

  ### EscherDg

      public static final int EscherDg

  See Also:
    Constant Field Values

  ### EscherRegroupItems

      public static final int EscherRegroupItems

  See Also:
    Constant Field Values

  ### EscherColorScheme

      public static final int EscherColorScheme

  See Also:
    Constant Field Values

  ### EscherSpgrContainer

      public static final int EscherSpgrContainer

  See Also:
    Constant Field Values

  ### EscherSpContainer

      public static final int EscherSpContainer

  See Also:
    Constant Field Values

  ### EscherSpgr

      public static final int EscherSpgr

  See Also:
    Constant Field Values

  ### EscherSp

      public static final int EscherSp

  See Also:
    Constant Field Values

  ### EscherTextbox

      public static final int EscherTextbox

  See Also:
    Constant Field Values

  ### EscherClientTextbox

      public static final int EscherClientTextbox

  See Also:
    Constant Field Values

  ### EscherAnchor

      public static final int EscherAnchor

  See Also:
    Constant Field Values

  ### EscherChildAnchor

      public static final int EscherChildAnchor

  See Also:
    Constant Field Values

  ### EscherClientAnchor

      public static final int EscherClientAnchor

  See Also:
    Constant Field Values

  ### EscherClientData

      public static final int EscherClientData

  See Also:
    Constant Field Values

  ### EscherSolverContainer

      public static final int EscherSolverContainer

  See Also:
    Constant Field Values

  ### EscherConnectorRule

      public static final int EscherConnectorRule

  See Also:
    Constant Field Values

  ### EscherAlignRule

      public static final int EscherAlignRule

  See Also:
    Constant Field Values

  ### EscherArcRule

      public static final int EscherArcRule

  See Also:
    Constant Field Values

  ### EscherClientRule

      public static final int EscherClientRule

  See Also:
    Constant Field Values

  ### EscherCalloutRule

      public static final int EscherCalloutRule

  See Also:
    Constant Field Values

  ### EscherSelection

      public static final int EscherSelection

  See Also:
    Constant Field Values

  ### EscherColorMRU

      public static final int EscherColorMRU

  See Also:
    Constant Field Values

  ### EscherDeletedPspl

      public static final int EscherDeletedPspl

  See Also:
    Constant Field Values

  ### EscherSplitMenuColors

      public static final int EscherSplitMenuColors

  See Also:
    Constant Field Values

  ### EscherOleObject

      public static final int EscherOleObject

  See Also:
    Constant Field Values

  ### EscherUserDefined

      public static final int EscherUserDefined

  See Also:
    Constant Field Values

  Constructor Detail

  ### RecordTypes

      public RecordTypes()

  Method Detail

  ### recordName

      public static java.lang.String recordName(int type)

    Returns name of the record by its type

    Parameters:
      `type` - section of the record header
    Returns:
      name of the record

  ### recordHandlingClass

      public static java.lang.Class recordHandlingClass(int type)

    Returns the class handling a record by its type. If given an un-handled PowerPoint record, will return a dummy placeholder class. If given an unknown PowerPoint record, or and Escher record, will return null.

    Parameters:
      `type` - section of the record header
    Returns:
      class to handle the record, or null if an unknown (eg Escher) record

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright 2010 The Apache Software Foundation or its licensors, as applicable.